<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.srs.comprehensive.mapper.SrsIdentifytableMapper">

    <resultMap type="SrsIdentifytable" id="SrsIdentifytableResult">
        <result property="id"    column="id"    />
        <result property="studentName"    column="student_name"    />
        <result property="studentCode"    column="student_code"    />
        <result property="studentCollege"    column="student_college"    />
        <result property="studentGrade"    column="student_grade"    />
        <result property="studentClass"    column="student_class"    />
        <result property="sex"    column="sex"    />
        <result property="nation"    column="nation"    />
        <result property="birthData"    column="birth_data"    />
<!--        <result property="politics"    column="politics"    />-->
<!--        <result property="moralCharacter"    column="moral_character"    />-->
<!--        <result property="observeDiscipline"    column="observe_discipline"    />-->
<!--        <result property="attitude"    column="attitude"    />-->
<!--        <result property="attendanceSituation"    column="attendance_situation"    />-->
<!--        <result property="positionHeld"    column="position_held"    />-->
<!--        <result property="workingAttitude"    column="working_attitude"    />-->
<!--        <result property="workingAbility"    column="working_ability"    />-->
<!--        <result property="ldeologicalPolitical"    column="ldeological_political"    />-->
<!--        <result property="scientificQuality"    column="scientific_quality"    />-->
<!--        <result property="physicalQuality"    column="physical_quality"    />-->
<!--        <result property="totalPoints"    column="total_points"    />-->
        <result property="stuYear"    column="stu_year"    />
        <result property="createBy"    column="create_by"    />
        <result property="updateBy"    column="update_by"    />
        <result property="createTime"    column="create_time"    />
        <result property="updateTime"    column="update_time"    />
        <result property="employeeId" column="employee_id"  />
    </resultMap>

    <sql id="selectSrsIdentifytableVo">
        select id, student_name, student_code, student_college, student_grade, student_class, sex, nation, birth_data, politics, moral_character, observe_discipline, attitude, attendance_situation, position_held, working_attitude, working_ability, ldeological_political, scientific_quality, physical_quality, total_points, stu_year, create_by, update_by, create_time, update_time from srs_identifytable
    </sql>

    <select id="selectSrsIdentifytableList" parameterType="SrsIdentifytable" resultMap="SrsIdentifytableResult">
        select a.id, a.student_name, a.student_code, a.student_college, a.student_class from srs_graduate_studentinfo a
        left join srs_class b on a.student_class=b.class_name
        left join cph_teacher c on c.teacher_id=b.teacher_id
        <where>
            <if test="studentCode != null  and studentCode != ''"> and a.student_code = #{studentCode}</if>
            <if test="studentClass != null  and studentClass != ''"> and a.student_class = #{studentClass}</if>
            <if test="employeeId != null  and employeeId != ''"> and a.employee_id = #{employeeId}</if>
        </where>
    </select>

    <select id="selectSrsIdentifytableById" parameterType="Long" resultMap="SrsIdentifytableResult">
        <include refid="selectSrsIdentifytableVo"/>
        where id = #{id}
    </select>

<!--  班级信息  -->
    <select id="selectDeptByDeptCodes" parameterType="String" resultType="com.srs.comprehensive.domain.SrsClass">
        SELECT DISTINCT v.class_id,v.class_name
        FROM view_stu_info v
                 JOIN srs_class c ON v.teacher_id = c.teacher_id
        WHERE v.t_no = #{userName}
    </select>


<!--    <insert id="insertSrsIdentifytable" parameterType="SrsIdentifytable" useGeneratedKeys="true" keyProperty="id">-->
<!--        insert into srs_identifytable-->
<!--        <trim prefix="(" suffix=")" suffixOverrides=",">-->
<!--            <if test="studentName != null">student_name,</if>-->
<!--            <if test="studentCode != null">student_code,</if>-->
<!--            <if test="studentCollege != null">student_college,</if>-->
<!--            <if test="studentGrade != null">student_grade,</if>-->
<!--            <if test="studentClass != null">student_class,</if>-->
<!--            <if test="sex != null">sex,</if>-->
<!--            <if test="nation != null">nation,</if>-->
<!--            <if test="birthData != null">birth_data,</if>-->
<!--            <if test="politics != null">politics,</if>-->
<!--            <if test="moralCharacter != null">moral_character,</if>-->
<!--            <if test="observeDiscipline != null">observe_discipline,</if>-->
<!--            <if test="attitude != null">attitude,</if>-->
<!--            <if test="attendanceSituation != null">attendance_situation,</if>-->
<!--            <if test="positionHeld != null">position_held,</if>-->
<!--            <if test="workingAttitude != null">working_attitude,</if>-->
<!--            <if test="workingAbility != null">working_ability,</if>-->
<!--            <if test="ldeologicalPolitical != null">ldeological_political,</if>-->
<!--            <if test="scientificQuality != null">scientific_quality,</if>-->
<!--            <if test="physicalQuality != null">physical_quality,</if>-->
<!--            <if test="totalPoints != null">total_points,</if>-->
<!--            <if test="stuYear != null">stu_year,</if>-->
<!--            <if test="createBy != null">create_by,</if>-->
<!--            <if test="updateBy != null">update_by,</if>-->
<!--            <if test="createTime != null">create_time,</if>-->
<!--            <if test="updateTime != null">update_time,</if>-->
<!--         </trim>-->
<!--        <trim prefix="values (" suffix=")" suffixOverrides=",">-->
<!--            <if test="studentName != null">#{studentName},</if>-->
<!--            <if test="studentCode != null">#{studentCode},</if>-->
<!--            <if test="studentCollege != null">#{studentCollege},</if>-->
<!--            <if test="studentGrade != null">#{studentGrade},</if>-->
<!--            <if test="studentClass != null">#{studentClass},</if>-->
<!--            <if test="sex != null">#{sex},</if>-->
<!--            <if test="nation != null">#{nation},</if>-->
<!--            <if test="birthData != null">#{birthData},</if>-->
<!--            <if test="politics != null">#{politics},</if>-->
<!--            <if test="moralCharacter != null">#{moralCharacter},</if>-->
<!--            <if test="observeDiscipline != null">#{observeDiscipline},</if>-->
<!--            <if test="attitude != null">#{attitude},</if>-->
<!--            <if test="attendanceSituation != null">#{attendanceSituation},</if>-->
<!--            <if test="positionHeld != null">#{positionHeld},</if>-->
<!--            <if test="workingAttitude != null">#{workingAttitude},</if>-->
<!--            <if test="workingAbility != null">#{workingAbility},</if>-->
<!--            <if test="ldeologicalPolitical != null">#{ldeologicalPolitical},</if>-->
<!--            <if test="scientificQuality != null">#{scientificQuality},</if>-->
<!--            <if test="physicalQuality != null">#{physicalQuality},</if>-->
<!--            <if test="totalPoints != null">#{totalPoints},</if>-->
<!--            <if test="stuYear != null">#{stuYear},</if>-->
<!--            <if test="createBy != null">#{createBy},</if>-->
<!--            <if test="updateBy != null">#{updateBy},</if>-->
<!--            <if test="createTime != null">#{createTime},</if>-->
<!--            <if test="updateTime != null">#{updateTime},</if>-->
<!--         </trim>-->
<!--    </insert>-->
    <insert id="inserts" parameterType="SrsIdentifytable" useGeneratedKeys="true" keyProperty="id">
        INSERT INTO srs_graduate_studentinfo (
            student_name,
            student_code,
            student_college,
            student_grade,
            student_class,
            sex,
            nation,
            birth_data,
            employee_id)
        VALUES (
            #{studentName},
            #{studentCode},
            #{studentCollege},
            #{studentGrade},
            #{studentClass},
            #{sex},
            #{nation},
            #{birthData},
            #{employeeId})
    </insert>

    <insert id="insertSrsIdentifytableYearOne" parameterType="SrsIdentifytable">
        INSERT INTO srs_graduate_student
        <trim prefix="(" suffix=")" suffixOverrides=",">
            <!-- yearOne 学年字段 -->
            <if test="yearOne != null">
                <if test="yearOne.politics != null">politics,</if>
                <if test="yearOne.moralCharacter != null">moral_character,</if>
                <if test="yearOne.observeDiscipline != null">observe_discipline,</if>
                <if test="yearOne.attitude != null">attitude,</if>
                <if test="yearOne.attendanceSituation != null">attendance_situation,</if>
                <if test="yearOne.positionHeld != null">position_held,</if>
                <if test="yearOne.workingAttitude != null">working_attitude,</if>
                <if test="yearOne.workingAbility != null">working_ability,</if>
                <if test="yearOne.ldeologicalPolitical != null">ldeological_political,</if>
                <if test="yearOne.scientificQuality != null">scientific_quality,</if>
                <if test="yearOne.physicalQuality != null">physical_quality,</if>
                <if test="yearOne.totalPoints != null">total_points,</if>
                <if test="yearOne.stuYear != null">stu_year,</if>
                <if test="yearOne.biaoJit != null ">biao_jit,</if>
            </if>
            <if test="graduateId != null">graduate_id</if>
        </trim>
        <!-- VALUES 部分 -->
        <trim prefix="VALUES (" suffix=")" suffixOverrides=",">
            <!-- yearOne 字段 -->
            <if test="yearOne != null">
                <if test="yearOne.politics != null">#{yearOne.politics},</if>
                <if test="yearOne.moralCharacter != null">#{yearOne.moralCharacter},</if>
                <if test="yearOne.observeDiscipline != null">#{yearOne.observeDiscipline},</if>
                <if test="yearOne.attitude != null">#{yearOne.attitude},</if>
                <if test="yearOne.attendanceSituation != null">#{yearOne.attendanceSituation},</if>
                <if test="yearOne.positionHeld != null">#{yearOne.positionHeld},</if>
                <if test="yearOne.workingAttitude != null">#{yearOne.workingAttitude},</if>
                <if test="yearOne.workingAbility != null">#{yearOne.workingAbility},</if>
                <if test="yearOne.ldeologicalPolitical != null">#{yearOne.ldeologicalPolitical},</if>
                <if test="yearOne.scientificQuality != null">#{yearOne.scientificQuality},</if>
                <if test="yearOne.physicalQuality != null">#{yearOne.physicalQuality},</if>
                <if test="yearOne.totalPoints != null">#{yearOne.totalPoints},</if>
                <if test="yearOne.stuYear != null">#{yearOne.stuYear},</if>
                <if test="yearOne.biaoJit != null">#{yearOne.biaoJit},</if>
            </if>
            <if test="graduateId != null">#{graduateId},</if>
        </trim>
    </insert>

    <insert id="insertSrsIdentifytableYearTwo" parameterType="SrsIdentifytable">
        INSERT INTO srs_graduate_student
        <trim prefix="(" suffix=")" suffixOverrides=",">
            <!-- yearTwo 学年字段 -->
            <if test="yearTwo != null">
                <if test="yearTwo.politics != null">politics,</if>
                <if test="yearTwo.moralCharacter != null">moral_character,</if>
                <if test="yearTwo.observeDiscipline != null">observe_discipline,</if>
                <if test="yearTwo.attitude != null">attitude,</if>
                <if test="yearTwo.attendanceSituation != null">attendance_situation,</if>
                <if test="yearTwo.positionHeld != null">position_held,</if>
                <if test="yearTwo.workingAttitude != null">working_attitude,</if>
                <if test="yearTwo.workingAbility != null">working_ability,</if>
                <if test="yearTwo.ldeologicalPolitical != null">ldeological_political,</if>
                <if test="yearTwo.scientificQuality != null">scientific_quality,</if>
                <if test="yearTwo.physicalQuality != null">physical_quality,</if>
                <if test="yearTwo.totalPoints != null">total_points,</if>
                <if test="yearTwo.stuYear != null">stu_year,</if>
                <if test="yearTwo.biaoJit != null">biao_jit,</if>
            </if>
            <if test="graduateId != null">graduate_id</if>
        </trim>
        <!-- VALUES 部分 -->
        <trim prefix="VALUES (" suffix=")" suffixOverrides=",">
            <!-- yearTwo 字段 -->
            <if test="yearTwo != null">
                <if test="yearTwo.politics != null">#{yearTwo.politics},</if>
                <if test="yearTwo.moralCharacter != null">#{yearTwo.moralCharacter},</if>
                <if test="yearTwo.observeDiscipline != null">#{yearTwo.observeDiscipline},</if>
                <if test="yearTwo.attitude != null">#{yearTwo.attitude},</if>
                <if test="yearTwo.attendanceSituation != null">#{yearTwo.attendanceSituation},</if>
                <if test="yearTwo.positionHeld != null">#{yearTwo.positionHeld},</if>
                <if test="yearTwo.workingAttitude != null">#{yearTwo.workingAttitude},</if>
                <if test="yearTwo.workingAbility != null">#{yearTwo.workingAbility},</if>
                <if test="yearTwo.ldeologicalPolitical != null">#{yearTwo.ldeologicalPolitical},</if>
                <if test="yearTwo.scientificQuality != null">#{yearTwo.scientificQuality},</if>
                <if test="yearTwo.physicalQuality != null">#{yearTwo.physicalQuality},</if>
                <if test="yearTwo.totalPoints != null">#{yearTwo.totalPoints},</if>
                <if test="yearTwo.stuYear != null">#{yearTwo.stuYear},</if>
                <if test="yearTwo.biaoJit != null">#{yearTwo.biaoJit},</if>
            </if>
            <if test="graduateId != null">#{graduateId},</if>
        </trim>
    </insert>

    <insert id="insertSrsIdentifytableYearThree" parameterType="SrsIdentifytable">
        INSERT INTO srs_graduate_student
        <trim prefix="(" suffix=")" suffixOverrides=",">
            <!-- yearThree 学年字段 -->
            <if test="yearThree != null">
                <if test="yearThree.politics != null">politics,</if>
                <if test="yearThree.moralCharacter != null">moral_character,</if>
                <if test="yearThree.observeDiscipline != null">observe_discipline,</if>
                <if test="yearThree.attitude != null">attitude,</if>
                <if test="yearThree.attendanceSituation != null">attendance_situation,</if>
                <if test="yearThree.positionHeld != null">position_held,</if>
                <if test="yearThree.workingAttitude != null">working_attitude,</if>
                <if test="yearThree.workingAbility != null">working_ability,</if>
                <if test="yearThree.ldeologicalPolitical != null">ldeological_political,</if>
                <if test="yearThree.scientificQuality != null">scientific_quality,</if>
                <if test="yearThree.physicalQuality != null">physical_quality,</if>
                <if test="yearThree.totalPoints != null">total_points,</if>
                <if test="yearThree.stuYear != null">stu_year,</if>
                <if test="yearThree.biaoJit != null">biao_jit,</if>
            </if>
            <if test="graduateId != null">graduate_id</if>
        </trim>
        <!-- VALUES 部分 -->
        <trim prefix="VALUES (" suffix=")" suffixOverrides=",">
            <!-- yearThree 字段 -->
            <if test="yearThree != null">
                <if test="yearThree.politics != null">#{yearThree.politics},</if>
                <if test="yearThree.moralCharacter != null">#{yearThree.moralCharacter},</if>
                <if test="yearThree.observeDiscipline != null">#{yearThree.observeDiscipline},</if>
                <if test="yearThree.attitude != null">#{yearThree.attitude},</if>
                <if test="yearThree.attendanceSituation != null">#{yearThree.attendanceSituation},</if>
                <if test="yearThree.positionHeld != null">#{yearThree.positionHeld},</if>
                <if test="yearThree.workingAttitude != null">#{yearThree.workingAttitude},</if>
                <if test="yearThree.workingAbility != null">#{yearThree.workingAbility},</if>
                <if test="yearThree.ldeologicalPolitical != null">#{yearThree.ldeologicalPolitical},</if>
                <if test="yearThree.scientificQuality != null">#{yearThree.scientificQuality},</if>
                <if test="yearThree.physicalQuality != null">#{yearThree.physicalQuality},</if>
                <if test="yearThree.totalPoints != null">#{yearThree.totalPoints},</if>
                <if test="yearThree.stuYear != null">#{yearThree.stuYear},</if>
                <if test="yearThree.biaoJit != null">#{yearThree.biaoJit},</if>
            </if>
            <if test="graduateId != null">#{graduateId},</if>
        </trim>
    </insert>

    <update id="updateGraduateStudentInfo" parameterType="SrsIdentifytable">
        UPDATE srs_graduate_studentinfo
        <set>
            <!-- 基础信息 -->
            <if test="studentName != null">student_name = #{studentName},</if>
            <if test="studentCode != null">student_code = #{studentCode},</if>
            <if test="studentCollege != null">student_college = #{studentCollege},</if>
            <if test="studentGrade != null">student_grade = #{studentGrade},</if>
            <if test="studentClass != null">student_class = #{studentClass},</if>
            <if test="sex != null">sex = #{sex},</if>
            <if test="nation != null">nation = #{nation},</if>
            <if test="birthData != null">birth_data = #{birthData},</if>
            <if test="employeeId != null">employee_id = #{employeeId},</if>
        </set>
        WHERE id = #{id}
    </update>

    <update id="updateSrsIdentifytableYearOne" parameterType="SrsIdentifytable">
        UPDATE srs_graduate_student
        <set>
            <!-- yearOne 字段 -->
            <if test="yearOne != null">
                <if test="yearOne.politics != null">politics = #{yearOne.politics},</if>
                <if test="yearOne.moralCharacter != null">moral_character = #{yearOne.moralCharacter},</if>
                <if test="yearOne.observeDiscipline != null">observe_discipline = #{yearOne.observeDiscipline},</if>
                <if test="yearOne.attitude != null">attitude = #{yearOne.attitude},</if>
                <if test="yearOne.attendanceSituation != null">attendance_situation = #{yearOne.attendanceSituation},</if>
                <if test="yearOne.positionHeld != null">position_held = #{yearOne.positionHeld},</if>
                <if test="yearOne.workingAttitude != null">working_attitude = #{yearOne.workingAttitude},</if>
                <if test="yearOne.workingAbility != null">working_ability = #{yearOne.workingAbility},</if>
                <if test="yearOne.ldeologicalPolitical != null">ldeological_political = #{yearOne.ldeologicalPolitical},</if>
                <if test="yearOne.scientificQuality != null">scientific_quality = #{yearOne.scientificQuality},</if>
                <if test="yearOne.physicalQuality != null">physical_quality = #{yearOne.physicalQuality},</if>
                <if test="yearOne.totalPoints != null">total_points = #{yearOne.totalPoints},</if>
                <if test="yearOne.stuYear != null">stu_year = #{yearOne.stuYear},</if>
                <if test="yearOne.biaoJit != null">biao_jit = #{yearOne.biaoJit},</if>
            </if>
            <!-- 其他顶层字段 -->
            <if test="graduateId != null">graduate_id = #{graduateId},</if>
        </set>
        WHERE graduate_id = #{id} and biao_jit = #{yearOne.biaoJit}
    </update>

    <update id="updateSrsIdentifytableYearTwo" parameterType="SrsIdentifytable">
        UPDATE srs_graduate_student
        <set>
            <!-- yearTwo 字段 -->
            <if test="yearTwo != null">
                <if test="yearTwo.politics != null">politics = #{yearTwo.politics},</if>
                <if test="yearTwo.moralCharacter != null">moral_character = #{yearTwo.moralCharacter},</if>
                <if test="yearTwo.observeDiscipline != null">observe_discipline = #{yearTwo.observeDiscipline},</if>
                <if test="yearTwo.attitude != null">attitude = #{yearTwo.attitude},</if>
                <if test="yearTwo.attendanceSituation != null">attendance_situation = #{yearTwo.attendanceSituation},</if>
                <if test="yearTwo.positionHeld != null">position_held = #{yearTwo.positionHeld},</if>
                <if test="yearTwo.workingAttitude != null">working_attitude = #{yearTwo.workingAttitude},</if>
                <if test="yearTwo.workingAbility != null">working_ability = #{yearTwo.workingAbility},</if>
                <if test="yearTwo.ldeologicalPolitical != null">ldeological_political = #{yearTwo.ldeologicalPolitical},</if>
                <if test="yearTwo.scientificQuality != null">scientific_quality = #{yearTwo.scientificQuality},</if>
                <if test="yearTwo.physicalQuality != null">physical_quality = #{yearTwo.physicalQuality},</if>
                <if test="yearTwo.totalPoints != null">total_points = #{yearTwo.totalPoints},</if>
                <if test="yearTwo.stuYear != null">stu_year = #{yearTwo.stuYear},</if>
                <if test="yearTwo.biaoJit != null">biao_jit = #{yearTwo.biaoJit},</if>
            </if>
            <if test="graduateId != null">graduate_id = #{graduateId},</if>
        </set>
        WHERE graduate_id = #{id} and biao_jit = #{yearTwo.biaoJit}
    </update>

    <update id="updateSrsIdentifytableYearThree" parameterType="SrsIdentifytable">
        UPDATE srs_graduate_student
        <set>
            <!-- yearThree 字段 -->
            <if test="yearThree != null">
                <if test="yearThree.politics != null">politics = #{yearThree.politics},</if>
                <if test="yearThree.moralCharacter != null">moral_character = #{yearThree.moralCharacter},</if>
                <if test="yearThree.observeDiscipline != null">observe_discipline = #{yearThree.observeDiscipline},</if>
                <if test="yearThree.attitude != null">attitude = #{yearThree.attitude},</if>
                <if test="yearThree.attendanceSituation != null">attendance_situation = #{yearThree.attendanceSituation},</if>
                <if test="yearThree.positionHeld != null">position_held = #{yearThree.positionHeld},</if>
                <if test="yearThree.workingAttitude != null">working_attitude = #{yearThree.workingAttitude},</if>
                <if test="yearThree.workingAbility != null">working_ability = #{yearThree.workingAbility},</if>
                <if test="yearThree.ldeologicalPolitical != null">ldeological_political = #{yearThree.ldeologicalPolitical},</if>
                <if test="yearThree.scientificQuality != null">scientific_quality = #{yearThree.scientificQuality},</if>
                <if test="yearThree.physicalQuality != null">physical_quality = #{yearThree.physicalQuality},</if>
                <if test="yearThree.totalPoints != null">total_points = #{yearThree.totalPoints},</if>
                <if test="yearThree.stuYear != null">stu_year = #{yearThree.stuYear},</if>
                <if test="yearThree.biaoJit != null">biao_jit = #{yearThree.biaoJit},</if>
            </if>
            <if test="graduateId != null">graduate_id = #{graduateId},</if>
        </set>
        WHERE graduate_id = #{id} and biao_jit = #{yearThree.biaoJit}
    </update>

<!--    <update id="updateSrsIdentifytable" parameterType="SrsIdentifytable">-->
<!--        update srs_identifytable-->
<!--        <trim prefix="SET" suffixOverrides=",">-->
<!--            <if test="studentName != null">student_name = #{studentName},</if>-->
<!--            <if test="studentCode != null">student_code = #{studentCode},</if>-->
<!--            <if test="studentCollege != null">student_college = #{studentCollege},</if>-->
<!--            <if test="studentGrade != null">student_grade = #{studentGrade},</if>-->
<!--            <if test="studentClass != null">student_class = #{studentClass},</if>-->
<!--            <if test="sex != null">sex = #{sex},</if>-->
<!--            <if test="nation != null">nation = #{nation},</if>-->
<!--            <if test="birthData != null">birth_data = #{birthData},</if>-->
<!--            <if test="politics != null">politics = #{politics},</if>-->
<!--            <if test="moralCharacter != null">moral_character = #{moralCharacter},</if>-->
<!--            <if test="observeDiscipline != null">observe_discipline = #{observeDiscipline},</if>-->
<!--            <if test="attitude != null">attitude = #{attitude},</if>-->
<!--            <if test="attendanceSituation != null">attendance_situation = #{attendanceSituation},</if>-->
<!--            <if test="positionHeld != null">position_held = #{positionHeld},</if>-->
<!--            <if test="workingAttitude != null">working_attitude = #{workingAttitude},</if>-->
<!--            <if test="workingAbility != null">working_ability = #{workingAbility},</if>-->
<!--            <if test="ldeologicalPolitical != null">ldeological_political = #{ldeologicalPolitical},</if>-->
<!--            <if test="scientificQuality != null">scientific_quality = #{scientificQuality},</if>-->
<!--            <if test="physicalQuality != null">physical_quality = #{physicalQuality},</if>-->
<!--            <if test="totalPoints != null">total_points = #{totalPoints},</if>-->
<!--            <if test="stuYear != null">stu_year = #{stuYear},</if>-->
<!--            <if test="createBy != null">create_by = #{createBy},</if>-->
<!--            <if test="updateBy != null">update_by = #{updateBy},</if>-->
<!--            <if test="createTime != null">create_time = #{createTime},</if>-->
<!--            <if test="updateTime != null">update_time = #{updateTime},</if>-->
<!--        </trim>-->
<!--        where id = #{id}-->
<!--    </update>-->

    <delete id="deleteSrsIdentifytableById" parameterType="Long">
        delete from srs_identifytable where id = #{id}
    </delete>

<!--    <delete id="deleteSrsIdentifytableByIds" parameterType="String">-->
<!--        delete from srs_identifytable where id in -->
<!--        <foreach item="id" collection="array" open="(" separator="," close=")">-->
<!--            #{id}-->
<!--        </foreach>-->
<!--    </delete>-->

    <delete id="deleteSrsGraduataByIds" parameterType="String">
        delete from srs_graduate_studentinfo where id in
        <foreach item="id" collection="array" open="(" separator="," close=")">
            #{id}
        </foreach>
    </delete>

</mapper>
